package com.upyuns.platform.rs.universal.constant;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/10/17 15:23
 */
public enum  WxPayErrorEnum {
    SEND_FAILED("付款错误，请查单确认付款结果","请查单确认付款结果，以查单结果为准"),
    SYSTEMERROR("微信内部接口调用发生错误，请稍后重试","微信内部接口调用发生错误"),
    FREQ_LIMIT("接口请求频率超时接口限制","调用接口过于频繁，请稍后再试，如果要继续付款必须使用原商户订单号重试"),
    MONEY_LIMIT("已经达到今日付款总额上限","付款额度已经超限，请参考接口使用条件，如果要继续付款必须使用原商户订单号重试"),
    V2_ACCOUNT_SIMPLE_BAN("微信支付账户未知名，无法付款","不支持给非实名用户付款，如果要继续付款必须使用原商户订单号重试"),
    SENDNUM_LIMIT("今日付款次数超过限制","向用户付款的次数超限了，请参考接口使用条件，如果要继续付款必须使用原商户订单号重试");
    private String subReason;
    private String solution;

    WxPayErrorEnum(String subReason, String solution) {
        this.subReason = subReason;
        this.solution = solution;
    }
    public String getSubReason() {
        return subReason;
    }

    public void setSubReason(String subReason) {
        this.subReason = subReason;
    }

    public String getSolution() {
        return solution;
    }
}
